"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Strings = /*#__PURE__*/function (_React$Component) {
  _inherits(Strings, _React$Component);

  var _super = _createSuper(Strings);

  function Strings(props) {
    var _this;

    _classCallCheck(this, Strings);

    _this = _super.call(this, props);

    _defineProperty(_assertThisInitialized(_this), "getStrings", function () {
      if (locale === "tr") {
        return {
          "FILE_UPLOAD.LABEL.DOSYA_ADI": "Dosya Adı",
          "FILE_UPLOAD.LABEL.DOKUMENT_TIPI": "Döküman Tipi",
          "FILE_UPLOAD.TOOL_TIP.SORT": "Sırala",
          "FILE_UPLOAD.TOOL_TIP.SORT_FOR": "Göre Sırala",
          "FILE_UPLOAD.TOOL_TIP.SEARCH": "Ara",
          "FILE_UPLOAD.TOOL_TIP.VIEW_COLUMNS": "Kolonları Görüntüle",
          "FILE_UPLOAD.TOOL_TIP.FILTER_TABLE": "Tabloyu Filtrele",
          DOWNLOAD: "İndir",
          PRINT: "Yazdır",
          ALL: "Tamamı",
          FILTERS: "Filtreler",
          RESET: "Temizle",
          "FILE_UPLOAD.TOOL_TIP.SHOW_COLUMNS": "Kolonları Göster",
          "FILE_UPLOAD.TOOL_TIP.SHOW_HIDE_COLUMNS": "Kolonları Sakla/Göster",
          "FILE_UPLOAD.VALIDATION.REQUIRED": "{name} zorunlu alan",
          "HTTP_RESPONSE.ERROR.400": "İşlem sırasında bir hata oluştu. ",
          FILE_TYPES_EMPTY: "Upload.js: Dosya Tipleri Boş Olamaz.",
          MUI_TABLE_NO_MATCH: "Herhangi Bir Dosya Bulunamadı.",
          INSERT_SUCCEEDED: "Ekleme işlemi başarılı",
          INSERT_FAILED: "Ekleme işlemi başarısız",
          UPDATE_SUCCEEDED: "Düzenleme işlemi başarılı",
          UPDATE_FAILED: "Düzenleme işlemi başarısız",
          DELETE_SUCCEEDED: "Silme işlemi başarılı",
          DELETE_FAILED: "Silme işlemi başarısız",
          FILE_UPLOAD_DELETE_FAILED_INUSE: "Silmek istediğiniz çalışan kullanılmaktadır. Kullanan servisler : {name} ",
          RECORD_NOT_FOUND: "Kayıt Bulunamadı",
          EXCEPTION_FAIL: "İşlem başarısız",
          UNEXPECTED_ERROR: "Bilinmeyen bir nedenden dolayı işleminiz gerçekleştirilemiyor",
          SUCCESS: "İşlem başarılı",
          "MAXLENGTH.VALIDATION.ERROR": "{name} alanı {length} karakter sınırını aşmaktadır "
        };
      }
    });

    _this.state = {
      getStrings: _this.props.getString,
      locale: _this.props.locale
    };
    return _this;
  }

  _createClass(Strings, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null);
    }
  }]);

  return Strings;
}(_react["default"].Component);

var _default = Strings;
exports["default"] = _default;